function checkIsAllowedType(selectedFiles) {
  const allowedTypes = ['.jpeg', '.png', '.gif'];
  return selectedFiles.some(file => {
    const fileExtension = file.name.split('.').pop().toLowerCase();
    return allowedTypes.includes(`.${fileExtension}`);
  });
}
async function handleMultipleFileUploadAjax(files, setUploadProgress, setErrorMessage) {
  try {
    // Create a FormData object to send files
    const formData = new FormData();
    files.forEach((file) => formData.append('file', file));

    // Send the files to the server
    const response = await axios.post('upload-image.php', formData, {
      onUploadProgress: (progressEvent) => {
        const percentCompleted = Math.round((progressEvent.loaded * 100) / progressEvent.total);
      },
    });

    // Handle the response from the server (e.g., display success message)
    console.log(response.data);
  } catch (error) {
    console.error(error);
  }
}

const validateFile = (e, setFiles, setErrorMessage, setImagePreviews, clearState) => {
  clearState();
  const selectedFiles = Array.from(e.target.files);
  const totalSize = selectedFiles.reduce((acc, file) => acc + file.size, 0);
  if (totalSize > 2 * 1024 * 1024) {
    setErrorMessage('Image size exceeds. It should be less than 2MB.');
  } else {
    const isAllowedFiles = checkIsAllowedType(selectedFiles);
    if (!isAllowedFiles) {
      setErrorMessage('Please select only image files (jpeg, png, gif).');
    } else {
      setFiles(selectedFiles);
      const previews = selectedFiles.map((file) => URL.createObjectURL(file));
      setImagePreviews(previews);
    }
  }
};